From: Douglas Mencken <dougmencken@gmail.com>
Date: Fri, 15 Apr 2016 23:59:49 +0000 (-0400)
Subject: peaceful lexis : changes for framework
X-Git-Url: https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff_plain;h=c0ae261445c4122057d1bd028cb77480e43cbaeb

peaceful lexis : changes for framework

  exempli gratia “search right target frame” gets new name “look for recipient frame”

  rename framework/inc/targets.h to recipients.h
  rename framework/source/inc/loadenv/targethelper.hxx to deliveryhelper.hxx
  rename framework/source/loadenv/targethelper.cxx to deliveryhelper.cxx

eke simplify framework a bit

introduce com.sun.star.frame.FrameSearchOption
  since this com.sun.star.frame.FrameSearchFlag is obsolete but it is left for compatibility

+++ reduce visual noise from ascii fences +++

Change-Id: I402dc2370ffdb25b3073418f62712326cb7362e4
---

diff --git a/framework/Library_fwk.mk b/framework/Library_fwk.mk
index e6d0ae2..54af46e 100644
--- a/framework/Library_fwk.mk
+++ b/framework/Library_fwk.mk
@@ -100,7 +100,7 @@ $(eval $(call gb_Library_add_exception_objects,fwk,\
     framework/source/layoutmanager/toolbarlayoutmanager \
     framework/source/layoutmanager/uielement \
     framework/source/loadenv/loadenv \
-    framework/source/loadenv/targethelper \
+    framework/source/loadenv/deliveryhelper \
     framework/source/services/ContextChangeEventMultiplexer \
     framework/source/services/autorecovery \
     framework/source/services/desktop \
diff --git a/framework/inc/classes/actiontriggerpropertyset.hxx b/framework/inc/classes/actiontriggerpropertyset.hxx
index 7b19039..562f1be 100644
--- a/framework/inc/classes/actiontriggerpropertyset.hxx
+++ b/framework/inc/classes/actiontriggerpropertyset.hxx
@@ -106,7 +106,7 @@ class ActionTriggerPropertySet :  private cppu::BaseMutex,
 
         //  members
 
-        OUString                                    m_aCommandURL;
+        OUString                                    m_aActionURL;
         OUString                                    m_aHelpURL;
         OUString                                    m_aText;
         css::uno::Reference< css::awt::XBitmap >    m_xBitmap;
diff --git a/framework/inc/classes/framecontainer.hxx b/framework/inc/classes/framecontainer.hxx
index 838d1e1..32ad5b9 100644
--- a/framework/inc/classes/framecontainer.hxx
+++ b/framework/inc/classes/framecontainer.hxx
@@ -41,7 +41,7 @@ namespace framework{
 
 typedef ::std::vector< css::uno::Reference< css::frame::XFrame > >  TFrameContainer;
 
-/*-************************************************************************************************************
+/*
     @short          implement a container to hold children of frame, task or desktop
     @descr          Every object of frame, task or desktop hold reference to his children. These container is used as helper
                     to do this. Some helper-classes like OFrames or OTasksAccess use it to. They hold a pointer to an instance
@@ -51,12 +51,10 @@ typedef ::std::vector< css::uno::Reference< css::frame::XFrame > >  TFrameContai
 
     @devstatus      ready to use
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 class FrameContainer
 {
 
-    // member
-
     private:
 
         /// list to hold all frames
@@ -68,7 +66,6 @@ class FrameContainer
 
     public:
 
-        /// constructor / destructor
                  FrameContainer();
         virtual ~FrameContainer();
 
@@ -76,14 +73,14 @@ class FrameContainer
         void                                      append     ( const css::uno::Reference< css::frame::XFrame >& xFrame );
         void                                      remove     ( const css::uno::Reference< css::frame::XFrame >& xFrame );
         void                                      setActive  ( const css::uno::Reference< css::frame::XFrame >& xFrame );
-        css::uno::Reference< css::frame::XFrame > getActive  (                                                         ) const;
+        css::uno::Reference< css::frame::XFrame > getActive  ( ) const;
 
         /// checks and free memory
-        bool exist      ( const css::uno::Reference< css::frame::XFrame >& xFrame ) const;
-        void     clear      (                                                         );
+        bool exist ( const css::uno::Reference< css::frame::XFrame >& xFrame ) const;
+        void clear ( );
 
-        /// deprecated IndexAccess!
-        sal_uInt32                                getCount  (                   ) const;
+        /// deprecated IndexAccess
+        sal_uInt32 getCount ( ) const;
         css::uno::Reference< css::frame::XFrame > operator[]( sal_uInt32 nIndex ) const;
 
         /// replacement for deprecated index access
@@ -93,9 +90,9 @@ class FrameContainer
         css::uno::Reference< css::frame::XFrame > searchOnAllChildrens   ( const OUString& sName ) const;
         css::uno::Reference< css::frame::XFrame > searchOnDirectChildrens( const OUString& sName ) const;
 
-}; // class FrameContainer
+};
 
-} // namespace framework
+}
 
 #endif // INCLUDED_FRAMEWORK_INC_CLASSES_FRAMECONTAINER_HXX
 
diff --git a/framework/inc/classes/taskcreator.hxx b/framework/inc/classes/taskcreator.hxx
index e67a71c..b38efcd 100644
--- a/framework/inc/classes/taskcreator.hxx
+++ b/framework/inc/classes/taskcreator.hxx
@@ -31,7 +31,7 @@
 namespace framework{
 
 /*
-    @short          a helper to create new tasks or sub frames for "_blank" or FrameSearchFlag::CREATE
+    @short          a helper to create new tasks or sub frames for "_blank" or FrameSearchOption::Create
     @descr          There are different places to create new (task)frames and it's not easy to service this code.
                     That's the reason for this helper. It encapsulates asynchronous/synchronous creation
                     by providing a simple interface.
diff --git a/framework/inc/dispatch/closedispatcher.hxx b/framework/inc/dispatch/closedispatcher.hxx
index 9d2f339..48df234 100644
--- a/framework/inc/dispatch/closedispatcher.hxx
+++ b/framework/inc/dispatch/closedispatcher.hxx
@@ -82,8 +82,8 @@ class CloseDispatcher : public  ::cppu::WeakImplHelper<
                    uno resources. */
         css::uno::Reference< css::uno::XComponentContext > m_xContext;
 
-        /** @short  reference to the target frame, which should be
-                    closed by this dispatch. */
+        /** @short  reference to the frame which is going to be closed
+                    by this dispatch */
         css::uno::WeakReference< css::frame::XFrame > m_xCloseFrame;
 
         /** @short  used for asynchronous callbacks within the main thread.
@@ -119,12 +119,12 @@ class CloseDispatcher : public  ::cppu::WeakImplHelper<
             @param  xFrame
                     the frame where the corresponding dispatch was started.
 
-            @param  sTarget
-                    help us to find the right target for this close operation.
+            @param  sRecipient
+                    help us to find the recipient for this close dispatch.
          */
         CloseDispatcher(const css::uno::Reference< css::uno::XComponentContext >& rxContext  ,
                         const css::uno::Reference< css::frame::XFrame >&          xFrame ,
-                        const OUString&                                           sTarget);
+                        const OUString&  sRecipient );
 
         /** @short  does nothing real. */
         virtual ~CloseDispatcher() override;
@@ -243,27 +243,26 @@ class CloseDispatcher : public  ::cppu::WeakImplHelper<
                                                sal_Int16                                                   nState   ,
                                          const css::uno::Any&                                              aResult  );
 
-        /** @short  try to find the right target frame where this close request
-                    must be really done.
+        /** @short  try to find the recipient frame where this close request
+                    is going to be really done.
 
             @descr  The problem behind: closing some resources depends sometimes from the
                     context where its dispatched. Sometimes the start frame of the dispatch
-                    has to be closed itself (target=_self) ... sometimes its parent frame
+                    has to be closed itself (recipient=_self) ... sometimes its parent frame
                     has to be closed - BUT(!) it means a parent frame containing a top level
                     window. _top can't be used then for dispatch - because it address TopFrames
                     not frames containg top level windows. So normally _magic (which btw does not
-                    exists at the moment .-) ) should be used. So we interpret target=<empty>
+                    exists at the moment .-) ) should be used. So we interpret recipient=<empty>
                     as _magic !
 
             @param  xFrame
                     start point for search of right dispatch frame.
 
-            @param  sTarget
-                    give us an idea how this target frame must be searched.
+            @param  sRecipient
+                    give us an idea how this recipient frame is going to be searched.
         */
-
-        static css::uno::Reference< css::frame::XFrame > static_impl_searchRightTargetFrame(const css::uno::Reference< css::frame::XFrame >& xFrame ,
-                                                                                            const OUString&                           sTarget);
+        static css::uno::Reference< css::frame::XFrame > static_impl_lookForRecipientFrame( const css::uno::Reference< css::frame::XFrame >& xFrame ,
+                                                                                            const OUString& sRecipient );
 
 }; // class CloseDispatcher
 
diff --git a/framework/inc/dispatch/dispatchinformationprovider.hxx b/framework/inc/dispatch/dispatchinformationprovider.hxx
index b59c878..da1af24 100644
--- a/framework/inc/dispatch/dispatchinformationprovider.hxx
+++ b/framework/inc/dispatch/dispatchinformationprovider.hxx
@@ -34,9 +34,9 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          a helper to merge dispatch information of different sources together.
-*//*-*************************************************************************************************************/
+*/
 class DispatchInformationProvider : public  ::cppu::WeakImplHelper< css::frame::XDispatchInformationProvider >
 {
 
@@ -65,9 +65,9 @@ class DispatchInformationProvider : public  ::cppu::WeakImplHelper< css::frame::
 
         css::uno::Sequence< css::uno::Reference< css::frame::XDispatchInformationProvider > > implts_getAllSubProvider();
 
-}; // class DispatchInformationProvider
+};
 
-} // namespace framework
+}
 
 #endif // INCLUDED_FRAMEWORK_INC_DISPATCH_DISPATCHINFORMATIONPROVIDER_HXX
 
diff --git a/framework/inc/dispatch/dispatchprovider.hxx b/framework/inc/dispatch/dispatchprovider.hxx
index af0d910..17c6de7 100644
--- a/framework/inc/dispatch/dispatchprovider.hxx
+++ b/framework/inc/dispatch/dispatchprovider.hxx
@@ -62,8 +62,8 @@ enum EDispatchHelper
                             - a task can have a beamer as direct child
                             - a normal frame never can create a new one by himself
 
-    @attention      Use this class as member only! Never use it as baseclass.
-                    XInterface will be ambigous and we hold a weakreference to our OWNER - not to our SUPERCLASS!
+    @attention      Use this class as a member only, not as a parent.
+                    XInterface will be ambigous and we hold a weakreference to OWNER - not to SUPERCLASS
 
     @base           OWeakObject
                         provides ref count and weak mechanism
@@ -88,31 +88,30 @@ class DispatchProvider: public ::cppu::WeakImplHelper< css::frame::XDispatchProv
         DispatchProvider( const css::uno::Reference< css::uno::XComponentContext >&     xContext ,
                           const css::uno::Reference< css::frame::XFrame >&              xFrame   );
 
-        virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL                       queryDispatch  ( const css::util::URL&                                       aURL             ,
-                                                                                                             const OUString&                                      sTargetFrameName ,
-                                                                                                                   sal_Int32                                             nSearchFlags     ) throw( css::uno::RuntimeException, std::exception ) override;
+        virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL queryDispatch  ( const css::util::URL&  aURL ,
+                                                                                       const OUString&  sRecipientFrameName ,
+                                                                                             sal_Int32  nSearchOptions ) throw( css::uno::RuntimeException, std::exception ) override;
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptions    ) throw( css::uno::RuntimeException, std::exception ) override;
 
     /* helper */
     protected:
-        // Let him protected! So nobody can use us as base ...
         virtual ~DispatchProvider() override;
 
     private:
-        css::uno::Reference< css::frame::XDispatch > implts_getOrCreateDispatchHelper   (       EDispatchHelper                            eHelper                       ,
-                                                                                          const css::uno::Reference< css::frame::XFrame >& xOwner                        ,
-                                                                                          const OUString&                           sTarget = OUString()   ,
-                                                                                                sal_Int32                                  nSearchFlags = 0              );
-        bool                                         implts_isLoadableContent           ( const css::util::URL&                            aURL                          );
-        css::uno::Reference< css::frame::XDispatch > implts_queryDesktopDispatch        ( const css::uno::Reference< css::frame::XFrame >&  xDesktop                      ,
-                                                                                          const css::util::URL&                            aURL                          ,
-                                                                                          const OUString&                           sTargetFrameName              ,
-                                                                                                sal_Int32                                  nSearchFlags                  );
-        css::uno::Reference< css::frame::XDispatch > implts_queryFrameDispatch          ( const css::uno::Reference< css::frame::XFrame >&  xFrame                        ,
-                                                                                          const css::util::URL&                            aURL                          ,
-                                                                                          const OUString&                           sTargetFrameName              ,
-                                                                                                sal_Int32                                  nSearchFlags                  );
-        css::uno::Reference< css::frame::XDispatch > implts_searchProtocolHandler       ( const css::util::URL&                            aURL                          );
+        css::uno::Reference< css::frame::XDispatch > implts_getOrCreateDispatchHelper   (       EDispatchHelper eHelper ,
+                                                                                          const css::uno::Reference< css::frame::XFrame >&  xOwner ,
+                                                                                          const OUString&  sRecipient = OUString() ,
+                                                                                                sal_Int32  nSearchOptions = 0 );
+        bool                                         implts_isLoadableContent           ( const css::util::URL&  aURL );
+        css::uno::Reference< css::frame::XDispatch > implts_queryDesktopDispatch        ( const css::uno::Reference< css::frame::XFrame >&  xDesktop ,
+                                                                                          const css::util::URL&  aURL ,
+                                                                                          const OUString&  sRecipientFrameName ,
+                                                                                                sal_Int32  nSearchOptions );
+        css::uno::Reference< css::frame::XDispatch > implts_queryFrameDispatch          ( const css::uno::Reference< css::frame::XFrame >&  xFrame ,
+                                                                                          const css::util::URL&  aURL ,
+                                                                                          const OUString&  sRecipientFrameName ,
+                                                                                                sal_Int32  nSearchOptions );
+        css::uno::Reference< css::frame::XDispatch > implts_searchProtocolHandler       ( const css::util::URL&  aURL );
 
 }; // class DispatchProvider
 
diff --git a/framework/inc/dispatch/interceptionhelper.hxx b/framework/inc/dispatch/interceptionhelper.hxx
index 7462303..f3ffa2b 100644
--- a/framework/inc/dispatch/interceptionhelper.hxx
+++ b/framework/inc/dispatch/interceptionhelper.hxx
@@ -41,7 +41,7 @@ namespace framework{
 /** @short      implements a helper to support interception with additional functionality.
 
     @descr      This helper implements the complete XDispatchProviderInterception interface with
-                master/slave functionality AND using of optional features like registration of URL pattern!
+                master/servant functionality AND using of optional features like registration of URL pattern!
 
     @attention  Don't use this class as direct member - use it dynamicly. Do not derive from this class.
                 We hold a weakreference to our owner not to our superclass.
@@ -136,8 +136,8 @@ class InterceptionHelper : public  ::cppu::WeakImplHelper<
         css::uno::WeakReference< css::frame::XFrame > m_xOwnerWeak;
 
         /** @short this interception helper implements the top level master of an interceptor list ...
-                   but this member is the lowest possible slave! */
-        css::uno::Reference< css::frame::XDispatchProvider > m_xSlave;
+                   but this member is the lowest possible servant */
+        css::uno::Reference< css::frame::XDispatchProvider > m_xServant;
 
         /** @short contains all registered interceptor objects. */
         InterceptorList m_lInterceptionRegs;
@@ -151,11 +151,11 @@ class InterceptionHelper : public  ::cppu::WeakImplHelper<
             @param xOwner
                     points to the frame, which use this instances to support it's own interception interfaces.
 
-            @param xSlave
-                    an outside creates dispatch provider, which has to be used here as lowest slave "interceptor".
+            @param xServant
+                    an outside created dispatch provider, which has to be used here as lowest servant "interceptor".
          */
         InterceptionHelper(const css::uno::Reference< css::frame::XFrame >&            xOwner,
-                           const css::uno::Reference< css::frame::XDispatchProvider >& xSlave);
+                           const css::uno::Reference< css::frame::XDispatchProvider >& xServant );
 
     protected:
 
@@ -177,37 +177,36 @@ class InterceptionHelper : public  ::cppu::WeakImplHelper<
 
             @descr  We search inside our list of interception registrations, to locate
                     any interested interceptor. In case no interceptor exists or nobody is
-                    interested on this URL our lowest slave will be used.
+                    interested on this URL the lowest servant will be used.
 
             @param  aURL
                         describes the requested dispatch functionality.
 
-            @param  sTargetFrameName
-                        the name of the target frame or a special name like "_blank", "_top" ...
+            @param  sRecipientFrameName
+                        the name of the recipient frame or a special name like "_blank", "_top" ...
                         Won't be used here ... but may by one of our registered interceptor objects
-                        or our slave.
+                        or the servant.
 
-            @param  nSearchFlags
-                        optional search parameter for targeting, if sTargetFrameName isn't a special one.
+            @param  nSearchOptions
+                        optional parameter to look if sRecipientFrameName is a special one
 
-            @return A valid dispatch object, if any interceptor or at least our slave is interested on the given URL;
+            @return A valid dispatch object, if any interceptor or at least the servant is interested on the given URL;
                     or NULL otherwise.
          */
-        virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL queryDispatch(const css::util::URL&  aURL            ,
-                                                                                    const OUString& sTargetFrameName,
-                                                                                          sal_Int32        nSearchFlags    )
+        virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL queryDispatch(const css::util::URL&  aURL,
+                                                                                    const OUString& sRecipientFrameName,
+                                                                                          sal_Int32        nSearchOptions    )
             throw(css::uno::RuntimeException, std::exception) override;
 
         // XDispatchProvider
 
         /** @short implements an optimized queryDispatch() for remote.
 
-            @descr It capsulate more than one queryDispatch() requests and return a lits of dispatch objects
-                   as result. Because both lists (in and out) correspond together, it's not allowed to
-                   pack it - means suppress NULL references!
+            @descr It capsulates more than one queryDispatch() requests and return a lits of dispatch objects.
+                   Because both lists (in and out) correspond together, it wouldn't pack them - means suppress null-references
 
             @param lDescriptor
-                    a list of queryDispatch() arguments.
+                    a list of queryDispatch() arguments
 
             @return A list of dispatch objects.
          */
@@ -219,15 +218,13 @@ class InterceptionHelper : public  ::cppu::WeakImplHelper<
         /** @short      register an interceptor.
 
             @descr      Somebody can register himself to intercept all or some special dispatches.
-                        It's depend from his supported interfaces. If he implement XInterceptorInfo
-                        he his called for some special URLs only - otherwise we call it for every request!
-
-            @attention  We don't check for double registrations here!
+                        It depends on its supported interfaces. If it implements XInterceptorInfo
+                        it is called for special URLs only and otherwise for every one
 
             @param      xInterceptor
                         reference to interceptor, which wish to be registered here.
 
-            @throw      A RuntimeException if the given reference is NULL!
+            @throw      A RuntimeException if the given reference is null
          */
         virtual void SAL_CALL registerDispatchProviderInterceptor(const css::uno::Reference< css::frame::XDispatchProviderInterceptor >& xInterceptor)
             throw(css::uno::RuntimeException, std::exception) override;
diff --git a/framework/inc/dispatch/mailtodispatcher.hxx b/framework/inc/dispatch/mailtodispatcher.hxx
index f1dbabb..bc4f94b 100644
--- a/framework/inc/dispatch/mailtodispatcher.hxx
+++ b/framework/inc/dispatch/mailtodispatcher.hxx
@@ -71,8 +71,8 @@ class MailToDispatcher : public  ::cppu::WeakImplHelper<
 
         // XDispatchProvider
         virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL                       queryDispatch  ( const css::util::URL&                                       aURL        ,
-                                                                                                             const OUString&                                      sTarget     ,
-                                                                                                                   sal_Int32                                             nFlags      ) throw( css::uno::RuntimeException, std::exception ) override;
+                                                                                                             const OUString&                                      sRecipient     ,
+                                                                                                                   sal_Int32                                             nOptions      ) throw( css::uno::RuntimeException, std::exception ) override;
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptor ) throw( css::uno::RuntimeException, std::exception ) override;
 
         // XNotifyingDispatch
diff --git a/framework/inc/dispatch/oxt_handler.hxx b/framework/inc/dispatch/oxt_handler.hxx
index c3cfddb..36297ce 100644
--- a/framework/inc/dispatch/oxt_handler.hxx
+++ b/framework/inc/dispatch/oxt_handler.hxx
@@ -39,17 +39,15 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
-    @short          handler to detect and play sounds ("wav" and "au" only!)
-    @descr          Register this implementation as a content handler to detect and/or play wav- and au-sounds.
-                    It doesn't depend from the target platform. But one instance of this class
-                    can play one sound at the same time only. Means every new dispatch request will stop the
-                    might still running one. So we support one operation/one URL/one listener at the same time
-                    only.
+/*
+    @short          handler to detect and play sounds (only "wav" and "au" yet)
+    @descr          Register this implementation as a content handler to detect and/or play wav and au sounds.
+                    One instance of this class can play one sound at the same time only.
+                    Means every new dispatch request will stop the still running one.
 
     @devstatus      ready
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 class Oxt_Handler  :    public  ::cppu::WeakImplHelper<
                                     css::lang::XServiceInfo,
                                     css::frame::XNotifyingDispatch, // => XDispatch
diff --git a/framework/inc/dispatch/popupmenudispatcher.hxx b/framework/inc/dispatch/popupmenudispatcher.hxx
index c4dd32b..d9993b43 100644
--- a/framework/inc/dispatch/popupmenudispatcher.hxx
+++ b/framework/inc/dispatch/popupmenudispatcher.hxx
@@ -52,7 +52,7 @@ namespace framework{
 typedef cppu::OMultiTypeInterfaceContainerHelperVar<OUString>
     IMPL_ListenerHashContainer;
 
-/*-************************************************************************************************************
+/*
     @short          helper for desktop only(!) to create new tasks on demand for dispatches
     @descr          Use this class as member only! Never use it as baseclass.
                     XInterface will be ambigous and we hold a weakcss::uno::Reference to our OWNER - not to our SUPERCLASS!
@@ -65,7 +65,7 @@ typedef cppu::OMultiTypeInterfaceContainerHelperVar<OUString>
     @base           OWeakObject
 
     @devstatus      ready to use
-*//*-*************************************************************************************************************/
+*/
 class PopupMenuDispatcher :     public  ::cppu::WeakImplHelper<
                                            css::lang::XServiceInfo,
                                            css::frame::XDispatchProvider,
@@ -90,8 +90,8 @@ class PopupMenuDispatcher :     public  ::cppu::WeakImplHelper<
         // XDispatchProvider
         virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL queryDispatch(
             const css::util::URL&  aURL        ,
-            const OUString& sTarget     ,
-            sal_Int32              nFlags      )
+            const OUString& sRecipient     ,
+            sal_Int32              nOptions      )
         throw( css::uno::RuntimeException, std::exception ) override;
 
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches(
@@ -133,9 +133,9 @@ class PopupMenuDispatcher :     public  ::cppu::WeakImplHelper<
         bool                                                    m_bAlreadyDisposed;   /// Protection against multiple disposing calls.
         bool                                                    m_bActivateListener;   /// dispatcher is listener for frame activation
 
-}; //  class PopupMenuDispatcher
+};
 
-}       //  namespace framework
+}
 
 #endif // INCLUDED_FRAMEWORK_INC_DISPATCH_POPUPMENUDISPATCHER_HXX
 
